<link rel="stylesheet"
    href="chrome://resources/chromeos/colors/cros_colors.generated.css">
<link rel="stylesheet" href="chrome://resources/css/text_defaults_md.css">
<link rel="stylesheet" href="chrome://resources/css/md_colors.css">
<link rel="stylesheet" href="chrome://resources/cr_elements/md_select_css.html">

<template>
  <style include="cr-shared-style md-select scanning-fonts">
    html {
      background-color: var(--cros-bg-color);
    }

    select {
      height: 32px;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    select.md-select {
      @apply --scanning-select-font;
      background-position-x: calc(100% - 12px);
      color: var(--scanning-select-text-color);
      padding-inline-end: 32px;
      padding-inline-start: 16px;
    }

    :host-context([dir='rtl']) select.md-select {
      background-position-x: 12px;
    }

    @media (min-width: 600px) {
      :host {
        --container-width: 600px;
        --left-panel-margin-inline-end: 10px;
        --left-panel-margin-inline-start: 10px;
        --left-panel-width: 200px;
        --panel-container-margin-top: 20px;
        --right-panel-margin-inline-end: 10px;
        --right-panel-margin-inline-start: 0;
        --right-panel-padding-inline-end: 8px;
        --right-panel-padding-inline-start: 8px;
      }
    }

    @media (min-width: 768px) {
      :host {
        --container-width: 768px;
        --left-panel-margin-inline-end: 32px;
        --left-panel-margin-inline-start: 32px;
        --left-panel-width: 288px;
        --panel-container-margin-top: 20px;
        --right-panel-margin-inline-end: 32px;
        --right-panel-margin-inline-start: 0;
        --right-panel-padding-inline-end: 16px;
        --right-panel-padding-inline-start: 16px;
      }
    }

    @media (min-width: 960px) {
      :host {
        --container-width: 960px;
        --left-panel-margin-inline-end: 48px;
        --left-panel-margin-inline-start: 48px;
        --left-panel-width: 384px;
        --panel-container-margin-top: 20px;
        --right-panel-margin-inline-end: 48px;
        --right-panel-margin-inline-start: 48px;
        --right-panel-padding-inline-end: 16px;
        --right-panel-padding-inline-start: 16px;
      }
    }

    @media (min-width: 1280px) {
      :host {
        --container-width: 1280px;
        --left-panel-margin-inline-end: 60px;
        --left-panel-margin-inline-start: 164px;
        --left-panel-width: 416px;
        --panel-container-margin-top: 64px;
        --right-panel-margin-inline-end: 164px;
        --right-panel-margin-inline-start: 60px;
        --right-panel-padding-inline-end: 32px;
        --right-panel-padding-inline-start: 32px;
      }
    }
  </style>
</template>
